<template>
    <div>
        <div>
            {{ message }}
        </div>
        <form v-on:submit.prevent="save">
            <p>Title: <input type="text" name="title" v-model="task.title"></p>
            <p>Archived: <input type="checkbox" name="archived" v-model="task.archived" ></p>
            <p>Finished: <input type="checkbox" name="finished" v-model="task.finished" ></p>
            <p>Due-Date: <input type="date" name="due_date" v-model="task.due_date"></p>
            <button v-on:click="save(1)" v-if="task.finished == 0">Terminar Task</button>
            <button v-on:click="save(0)" v-else>Iniciar Task</button>
            <button v-on:click="saveFiled(1)" v-if="task.is_filed == 0">Arquivar</button>
             <button @click="saveFiled(0)" v-else>Desarquivar</button></br>
            <p><input type="submit" value="Update"></p></br>
            <router-link to="/">Home</router-link>
        </form>
    </div>
</template>

<script>
    import axios from 'axios'
    export default {
      name: 'TasksUpdate',

      data () {
        return {
          message: '',
          task: {
            title: '',
            archived: '',
            finished: '',
            due_date: ''
          }
        }
      },

      created () {
        this.getData()
      },

      methods: {
        getData () {
          axios.get('http://localhost:8000/api/tasks/' + this.$route.params.id)
            .then(response => {
              this.task = response.data
            })
        },
        save () {
          axios.put('http://localhost:8000/api/tasks/' + this.$route.params.id, {
            title: this.task.title,
            archived: Boolean(this.task.archived),
            finished: Boolean(this.task.finished),
            due_date: this.task.due_date
          })
            .then(response => {
              this.message = response.data
            })
            .catch(error => {
              this.message = error.data
            })
        },
          saveFiled (message) {
          axios.put('http://localhost:8000/api/tasks/' + this.$route.params.id, {
            is_filed: (message),
            title: this.task.title
          })
          .then(response => {
            console.log(response.data)
          })
        }

      }
    }
</script>